View a markdown version of this page

UpdateIntegration - AWS Security Agent

UpdateIntegration

Creates an integration's webhook, or rotates the HMAC signing secret of an existing one. The secret is returned only once, in this response, and cannot be retrieved again.

Request Syntax

POST /UpdateIntegration HTTP/1.1 Content-type: application/json { "integrationId": "string", "webhookAction": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

integrationId

The ID of the integration whose webhook you want to create or rotate.

Type: String

Required: Yes

webhookAction

The action to perform on the integration's webhook.

Type: String

Valid Values: CREATE_IF_ABSENT | ROTATE

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "integrationId": "string", "secret": "string", "webhookUrl": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

integrationId

The ID of the integration.

Type: String

secret

The HMAC signing secret for the webhook. Returned only once, in this response; it is never returned again.

Type: String

webhookUrl

The payload URL to configure on your provider instance. Returned when a webhook is created; unchanged by a rotate.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

message

Error description.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict with the current state of the resource.

message

Error description.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred during the processing of your request.

message

Error description.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.

message

Error description.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

message

Error description.

quotaCode

Quota code for throttling limit.

serviceCode

Service code for throttling limit.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered during validation.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: